import { DataListSearchNode } from './dataList-searchNode';
export declare class DataListSeachQueryTree {
    nodes: Array<DataListSearchNode>;
    constructor(searchNode?: DataListSeachQueryTree);
    /**
     * Create new search node class and default value
     */
    newSearchNode(): void;
    /**
     * Assign existing value to search nodes class
     *
     * @param searchNode
     */
    searchNode(searchNode?: DataListSeachQueryTree): void;
}
